//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// A Shape stores its String id. A concrete class extending Shape is
// guaranteed to be able to compute the area of its shapex
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


import edu.cmu.cs.pattis.cs151xx.Prompt;



public abstract class Shape {

  public Shape (String id)
  {this.id = id;}

  //This abstract method must be defined in a concrete subclass.
  //Note that it is called in this class in the toString method.
  public abstract double getArea();

  //This method will be overridden/called in a concrete subclass.
  public void promptForInformation()
  {id = Prompt.forString("  Enter id");}

  public String getId()
  {return id;}
    
  public String toString( )
  {return "Shape[id="+id+",area="+getArea()+"]";}

  private String id;
}